### Function

# RB compare_gtimeval

#### Declaration [src]

    int
    rb_compare_gtimeval (
      GTimeVal* a,
      GTimeVal* b
    )

#### Description [src]

Compares two `GTimeVal` structures for sorting.

#### Parameters

`a`

  Type: `GTimeVal`

  Left hand side.

  The data is owned by the caller of the function.

`b`

  Type: `GTimeVal`

  Right hand size.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

-1 if `a` < `b`, 0 if `a` == `b`, 1 if `a` > `b`.